Bug 858148 - nm-dispatcher causes dbus.service to timeout on shutdown
nm-dispatcher causes dbus.service to timeout on shutdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 03:09 EDT by Steve Tyler
Modified: 2013-07-31 19:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:38:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
systemd shutdown log during poweroff (141.85 KB, text/plain)
2012-09-18 03:09 EDT, Steve Tyler
no flags Details
/var/log/messages (2.84 MB, text/plain)
2012-09-18 03:12 EDT, Steve Tyler
no flags Details
systemd shutdown log during reboot (141.64 KB, text/plain)
2012-09-18 13:35 EDT, Steve Tyler
no flags Details
/var/log/messages after 90 second hang and reboot (2.96 MB, text/plain)
2012-09-18 13:40 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-09-18 03:09:16 EDT
Created attachment 613875 [details]
systemd shutdown log during poweroff

Description of problem:
During shutdown initiated with "poweroff", a minimal F17 installation in a VM may hang for 90 seconds with a black display.

Version-Release number of selected component (if applicable):
dbus-1.4.10-4.fc17.x86_64
kernel-3.5.3-1.fc17.x86_64
systemd-44-17.fc17.x86_64

How reproducible:
Fairly reliably hangs for 90 seconds after "poweroff".

Steps to Reproduce:
1. Complete a minimal F17 install in a VM as in Bug 845329, Comment 5.
2. Complete a full update and reinstall grub2 as in Bug 845329, Comment 6.
3. Reboot.
4. Poweroff.
  
Actual results:
May hang with a black display for 90 seconds during shutdown.

Expected results:
Shutdown completes without a hang.

Additional info:
I may have seen a hang during reboot.
Removing "quiet" from the kernel command line seems to prevent the hang.

The attachment was collected following the instructions given here:
Software/systemd/Debugging
Shutdown Completes Eventually
http://freedesktop.org/wiki/Software/systemd/Debugging#Shutdown_Completes_Eventually
Comment 1 Steve Tyler 2012-09-18 03:12:14 EDT
Created attachment 613876 [details]
/var/log/messages
Comment 2 Steve Tyler 2012-09-18 13:35:54 EDT
Created attachment 614065 [details]
systemd shutdown log during reboot

The 90 second hang may also occur during reboot.
Comment 3 Steve Tyler 2012-09-18 13:40:50 EDT
Created attachment 614066 [details]
/var/log/messages after 90 second hang and reboot
Comment 4 Lennart Poettering 2013-01-14 15:17:38 EST
nm-dispatcher is forked off dbus apparently, and is unwilling to die on SIGTERM. It will thus delay shutdown. Reassigning to NM.

(as a side note: would be cool to have nm-dispatcher as a natvie systemd service, as NM itself is too. That way things would be a lot more obvious, as people wouldn't blame D-Bus for one of its clients not terminating cleanly.
Comment 5 Fedora End Of Life 2013-07-03 18:02:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 19:38:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.